{
  lib,
  config,
  ...
}: let
  inherit (lib) mkEnableOption mkIf;
  cfg = config.horseman.base.locale;
in {
  options = {
    horseman.base.locale = {
      enable = mkEnableOption "Locale settings";
    };
  };

  config = mkIf cfg.enable {
    time.timeZone = "Europe/Amsterdam";
  };
}
